Subject: bug#37447: 26.3; Commands on <delete> and <backspace>

From: Juri Linkov <[email-masked]>
Date: Fri, 20 Sep 2019 01:13:32 +0300

>>> But if a safer solution is possible, then I'd recommend
>>> binding one of C- or M- prefixes to sexp killing commands
>>> because their default prefix C-M- can't be used: C-M-DEL
>>> runs system shutdown, and C-M-<backspace> kills the X server.
>
>> FWIW, `C-M-k' for `kill-sexp', and `C-M-<backspace>
>> for `backward-kill-sexp', work on at least some
>> platforms, such as MS Windows.

Currently I use `M-- C-M-k' as a replacement of `backward-kill-sexp'.

> FWIW, recent (since around 2007~2010 from what I see on the web) Xorg
> disables C-M-<backspace> as the kill X server by default.

I can't confirm since I'm afraid of typing these keys :)